﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO4000 Crosstalk Test VISA /9500
DATE:                  2018-03-16 15:30:44
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 23119 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       61
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models Covered:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Channel [V @Chan], [V @Freq]
# Calculate lower test limit; convert test frequency to base units (Hz).
  1.002  MATH         L[1] = 150 + @Limit; Freq = BASE(@Freq)
  1.003  TARGET       -p
  1.004  VISA         RF:FREQUENCY [V Freq]
  1.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.006  JMPL         END                          @Abort
  1.007  TSET         TDESC = [V @Freq]; UUT_RES = 0.01
  1.008  9500         50kH                         1Vpp           LS    S  L
  1.009  WAIT         [D2000]
  1.010  MATH         MEM = @Limit
# Uncertainty is the DUT's level measurement uncertainty (+/- 1 dB).
  1.011  ACC          dBm            1.00U                                 +W
  1.012  TARGET       -m
  1.013  VISA         ACQUIRE:STATE ON
  1.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.015  JMPL         END                          @Abort
# Wait 500 ms for the DUT to locate peak marker amplitude.
  1.016  VISA         [D500]MARKER:REFERENCE:AMPLITUDE?[I]
  1.017  MATH         MEM1 = @Limit
  1.018  MEMCX        dBm            -L1U

  2.001  LABEL        END
  2.002  END
