﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO4000 (1yr) Lvl Meas Unc Tests VISA /EPM,SWPG
DATE:                  2018-03-14 14:33:07
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 23095 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       253
CONFIGURATION:         Agilent EPM
CONFIGURATION:         Agilent E9304A on channel 1
CONFIGURATION:         Sweep Generator
STANDARD:              Agilent 11667A
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models covered:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  Additional Equipment Required:
#        Cable, Type N (m)-(m), 50 Ω, 36", DC to 6 GHz
#        Cable, BNC (m)-(m), 50 Ω, 36", 10 MHz
#        Adapter, Type N (m)-(m), DC to 6 GHz
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  This procedure follows the MDO4000B performance verification instructions
#  by using center frequency and span settings for each test point, instead of
#  a start and stop frequency for each range.  This change was made to improve
#  test reliability near the edges of defined ranges.  For example, measuring
#  a 100 MHz signal in the 99 MHz to 3.1 GHz (or 6.1 GHz) range.  This change
#  was approved by Tektronix Engineering by email on 11/25/2014.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  EPM          Zero_and_Cal; PowerSensorA = E9304A
  1.003  IEEE         [@SWPG]
  1.004  STD          Agilent 11667A
  1.005  ENDIF

  1.006  RSLT         =
  1.007  RSLT         =[V @Level] Test Level
  1.008  TARGET

  1.009  MATH         @Freq = "50 kHz"; @Span = "100 kHz"
  1.010  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.011  MATH         @Freq = "150 kHz"
  1.012  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.013  MATH         @Freq = "250 kHz"
  1.014  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.015  MATH         @Freq = "350 kHz"
  1.016  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.017  MATH         @Freq = "450 kHz"
  1.018  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.019  MATH         @Freq = "550 kHz"
  1.020  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.021  MATH         @Freq = "650 kHz"
  1.022  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.023  MATH         @Freq = "750 kHz"
  1.024  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.025  MATH         @Freq = "850 kHz"
  1.026  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.027  MATH         @Freq = "950 kHz"
  1.028  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG

  1.029  MATH         @Freq = "1 MHz"; @Span = "2 MHz"
  1.030  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.031  MATH         @Freq = "2 MHz"
  1.032  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.033  MATH         @Freq = "3 MHz"
  1.034  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.035  MATH         @Freq = "4 MHz"
  1.036  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.037  MATH         @Freq = "5 MHz"
  1.038  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.039  MATH         @Freq = "6 MHz"
  1.040  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.041  MATH         @Freq = "7 MHz"
  1.042  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.043  MATH         @Freq = "8 MHz"
  1.044  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.045  MATH         @Freq = "9 MHz"
  1.046  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG

  1.047  MATH         @Freq = "10 MHz"; @Span = "20 MHz"
  1.048  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.049  MATH         @Freq = "20 MHz"
  1.050  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.051  MATH         @Freq = "30 MHz"
  1.052  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.053  MATH         @Freq = "40 MHz"
  1.054  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.055  MATH         @Freq = "50 MHz"
  1.056  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.057  MATH         @Freq = "60 MHz"
  1.058  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.059  MATH         @Freq = "70 MHz"
  1.060  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.061  MATH         @Freq = "80 MHz"
  1.062  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.063  MATH         @Freq = "90 MHz"
  1.064  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG

  1.065  MATH         @Freq = "100 MHz"; @Span = "50 MHz"
  1.066  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.067  MATH         @Freq = "200 MHz"
  1.068  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.069  MATH         @Freq = "300 MHz"
  1.070  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.071  MATH         @Freq = "400 MHz"
  1.072  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.073  MATH         @Freq = "500 MHz"
  1.074  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.075  MATH         @Freq = "600 MHz"
  1.076  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.077  MATH         @Freq = "700 MHz"
  1.078  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.079  MATH         @Freq = "800 MHz"
  1.080  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.081  MATH         @Freq = "900 MHz"
  1.082  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.083  MATH         @Freq = "1000 MHz"
  1.084  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.085  MATH         @Freq = "1100 MHz"
  1.086  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.087  MATH         @Freq = "1200 MHz"
  1.088  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.089  MATH         @Freq = "1300 MHz"
  1.090  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.091  MATH         @Freq = "1400 MHz"
  1.092  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.093  MATH         @Freq = "1500 MHz"
  1.094  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.095  MATH         @Freq = "1600 MHz"
  1.096  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.097  MATH         @Freq = "1700 MHz"
  1.098  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.099  MATH         @Freq = "1800 MHz"
  1.100  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.101  MATH         @Freq = "1900 MHz"
  1.102  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.103  MATH         @Freq = "2000 MHz"
  1.104  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.105  MATH         @Freq = "2100 MHz"
  1.106  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.107  MATH         @Freq = "2200 MHz"
  1.108  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.109  MATH         @Freq = "2300 MHz"
  1.110  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.111  MATH         @Freq = "2400 MHz"
  1.112  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.113  MATH         @Freq = "2500 MHz"
  1.114  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.115  MATH         @Freq = "2600 MHz"
  1.116  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.117  MATH         @Freq = "2700 MHz"
  1.118  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.119  MATH         @Freq = "2800 MHz"
  1.120  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.121  MATH         @Freq = "2900 MHz"
  1.122  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG

  1.123  IF           BASE(@DUT_MaxFreq) <= 3E+9
  1.124  MATH         @Freq = "2999 MHz"
  1.125  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.126  ELSE
  1.127  MATH         @Freq = "3000 MHz"
  1.128  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.129  MATH         @Freq = "3100 MHz"
  1.130  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.131  MATH         @Freq = "3200 MHz"
  1.132  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.133  MATH         @Freq = "3300 MHz"
  1.134  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.135  MATH         @Freq = "3400 MHz"
  1.136  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.137  MATH         @Freq = "3500 MHz"
  1.138  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.139  MATH         @Freq = "3600 MHz"
  1.140  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.141  MATH         @Freq = "3700 MHz"
  1.142  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.143  MATH         @Freq = "3800 MHz"
  1.144  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.145  MATH         @Freq = "3900 MHz"
  1.146  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.147  MATH         @Freq = "4000 MHz"
  1.148  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.149  MATH         @Freq = "4100 MHz"
  1.150  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.151  MATH         @Freq = "4200 MHz"
  1.152  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.153  MATH         @Freq = "4300 MHz"
  1.154  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.155  MATH         @Freq = "4400 MHz"
  1.156  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.157  MATH         @Freq = "4500 MHz"
  1.158  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.159  MATH         @Freq = "4600 MHz"
  1.160  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.161  MATH         @Freq = "4700 MHz"
  1.162  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.163  MATH         @Freq = "4800 MHz"
  1.164  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.165  MATH         @Freq = "4900 MHz"
  1.166  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.167  MATH         @Freq = "5000 MHz"
  1.168  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.169  MATH         @Freq = "5100 MHz"
  1.170  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.171  MATH         @Freq = "5200 MHz"
  1.172  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.173  MATH         @Freq = "5300 MHz"
  1.174  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.175  MATH         @Freq = "5400 MHz"
  1.176  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.177  MATH         @Freq = "5500 MHz"
  1.178  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.179  MATH         @Freq = "5600 MHz"
  1.180  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.181  MATH         @Freq = "5700 MHz"
  1.182  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.183  MATH         @Freq = "5800 MHz"
  1.184  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.185  MATH         @Freq = "5900 MHz"
  1.186  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.187  MATH         @Freq = "5999 MHz"
  1.188  CALL         Sub Tek MDO4000 Level Meas Unc VER VISA /EPM,SWPG
  1.189  ENDIF

  1.190  LABEL        END
  1.191  HEAD         -2
  1.192  MATH         DEL("@Freq"); DEL("@Span")
  1.193  END
