﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
INSTRUMENT:            Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /9500
DATE:                  2018-03-22 10:23:45
AUTHOR:                Fluke
REVISION:              $Revision: 23179 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       42
NUMBER OF LINES:       891
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#      DPO4014B, DPO4034B, DPO4054B, DPO4102B(-L), DPO4104B(-L)
#      MSO4014B, MSO4034B, MSO4054B, MSO4102B(-L), MSO4104B(-L)
#      MDO4014-3,  MDO4034-3,  MDO4054-3,  MDO4054-6,  MDO4104-3,  MDO4104-6
#      MDO4014B-3, MDO4034B-3, MDO4054B-3, MDO4054B-6, MDO4104B-3, MDO4104B-6
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  JMPL         INPUT_IMPEDANCE           PSUBI("Input Impedance")
  1.003  JMPL         DCV_GAIN_ACC              PSUBI("1 MOhm DCV Gain")
  1.004  JMPL         OFFSET_ACC                PSUBI("Offset Acc")
  1.005  JMPL         SAMPLE_RATE               PSUBI("Sample Rate")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment test number

# =====  Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500  ============

  2.001  LABEL        INPUT_IMPEDANCE
  2.002  RSLT         =
  2.003  HEAD         {INPUT IMPEDANCE: Channel [V @Chan]}
  2.004  RSLT         =
  2.005  HEAD         -2 {1 MOhm} - 10 mV/div
  2.006  TARGET       -p
# Connection instructions for single head calibrator, and only for DUT
# channels 2-4.  For channel 1 connection instructions, see the Sample Rate
# test below.
  2.007  IF           NOT(@Chan == 1) && NOT(@MultiHead)
  2.008  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.009  HEAD         -2 1 MOhm - 10 mV/div

  2.010  IF           FINDI(@DUT_Model, "MDO", 0)
  2.011  DISP         Connect 9500 CH 1 Active Head to DUT CH [V @Chan].
  2.011  DISP
  2.011  DISP         Leave the 50 Ohm terminator in place, connected to the
  2.011  DISP         DUT RF Input.
  2.012  ELSE
  2.013  DISP         Connect 9500 CH 1 Active Head to DUT CH [V @Chan].
  2.014  ENDIF

  2.015  DISP         The next operator intervention will occur in
  2.015  DISP         approximately 11 minutes.
  2.015  DISP
  2.015  DISP         Select "Advance" to proceed.
  2.016  ENDIF

  2.017  TSET         TDESC = 10 mV/div; NTHROW = 1
  2.018  VISA         CH[V @Chan]:SCA 10E-3;TER 1E+6
  2.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.020  JMPL         END_INPUT_IMPEDANCE          @Abort
  2.021  TARGET       -m
  2.022  9500         1.00MZ         0.01U                           ZM    2W

  3.001  HEAD         -2 1 MOhm - 100 mV/div
  3.002  TSET         TDESC = 100 mV/div; NTHROW = 1
  3.003  VISA         CH[V @Chan]:SCA 100E-3;TER 1E+6
  3.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.005  JMPL         END_INPUT_IMPEDANCE          @Abort
  3.006  TARGET       -m
  3.007  9500         1.00MZ         0.01U                           ZM    2W

  4.001  HEAD         -2 1 MOhm - 1 V/div
  4.002  TSET         TDESC = 1 V/div; NTHROW = 1
  4.003  VISA         CH[V @Chan]:SCA 1;TER 1E+6
  4.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.005  JMPL         END_INPUT_IMPEDANCE          @Abort
  4.006  TARGET       -m
  4.007  9500         1.00MZ         0.01U                           ZM    2W

  5.001  RSLT         =
  5.002  HEAD         -2 {250 kOhm} - 100 mV/div
  5.003  TARGET       -p
  5.004  TSET         TDESC = 100 mV/div; NTHROW = 1
  5.005  VISA         CH[V @Chan]:SCA 100E-3;TER 1E+6
  5.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.007  VISA         PV:PATH250K CH[V @Chan], 1
  5.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.009  JMPL         END_INPUT_IMPEDANCE          @Abort
  5.010  TARGET       -m
  5.011  9500         250kZ          5U                              ZM    2W

  6.001  VISA         PV:PATH250K CH[V @Chan], 0
  6.002  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA

  6.003  RSLT         =
  6.004  HEAD         -2 {50 Ohm} - 10 mV/div
  6.005  TARGET       -p
  6.006  TSET         TDESC = 10 mV/div; NTHROW = 1
  6.007  VISA         CH[V @Chan]:SCA 10E-3;TER 50
  6.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.009  JMPL         END_INPUT_IMPEDANCE          @Abort
  6.010  TARGET       -m
  6.011  9500         50.0Z          0.5U                            ZM    2W

  7.001  HEAD         -2 50 Ohm - 100 mV/div
  7.002  TARGET       -p
  7.003  TSET         TDESC = 100 mV/div; NTHROW = 1
  7.004  VISA         CH[V @Chan]:SCA 100E-3;TER 50
  7.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.006  JMPL         END_INPUT_IMPEDANCE          @Abort
  7.007  TARGET       -m
  7.008  9500         50.0Z          0.5U                            ZM    2W

  8.001  LABEL        END_INPUT_IMPEDANCE
  8.002  HEAD         -2
  8.003  9500         *                                                 S
  8.004  HEAD
  8.005  END

  8.006  EVAL   Increment test number

# =====  Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500  ============
#
# This test deviates from the performance verification manual.  Applied
# voltage is equivalent to 3.5 divisions instead of 4.5 divisions, per
# Tektronix Engineering Change Request CR00430025.

  9.001  LABEL        DCV_GAIN_ACC
  9.002  MATH         Conf9500 = CONF("Datron 9500")

  9.003  RSLT         =
  9.004  HEAD         {DC GAIN ACCURACY: Channel [V @Chan]}
  9.005  RSLT         =
  9.006  HEAD         -2 {1 MOhm, 20 MHz Bandwidth}: 1 mV/div
  9.007  TARGET       -p
  9.008  TSET         TDESC = 1 mV/div
  9.009  VISA         CH[V @Chan]:BAN TWE;TER 1E+6;SCA 1E-3;POS 0;OFFS 0
  9.010  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU LINE
  9.011  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE MEAN
  9.012  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
  9.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.014  JMPL         END_DCV_GAIN                 @Abort
  9.015  TARGET       -m
  9.016  9500         3.5mV                                             S
  9.017  MATH         AccPos = REFACC()
  9.018  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  9.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.020  JMPL         END_DCV_GAIN                 @Abort
  9.021  VISA         MEASU:IMM:VAL?[I]
  9.022  MATH         MeasPos = MEM
  9.023  9500         -3.5mV                                            S
  9.024  MATH         AccNeg = REFACC()
  9.025  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  9.026  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.027  JMPL         END_DCV_GAIN                 @Abort
  9.028  VISA         MEASU:IMM:VAL?[I]
  9.029  MATH         MeasNeg = MEM
  9.030  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  9.031  ACC          7.0mV          L1U
  9.032  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  9.033  MEMCX        7.0mV          2.0%

 10.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 2 mV/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 2 mV/div
 10.004  VISA         CH[V @Chan]:TER 1E+6;SCA 2E-3;POS 0;OFFS 0
 10.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.006  JMPL         END_DCV_GAIN                 @Abort
 10.007  TARGET       -m
 10.008  9500         7.0mV                                             S
 10.009  MATH         AccPos = REFACC()
 10.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 10.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.012  JMPL         END_DCV_GAIN                 @Abort
 10.013  VISA         MEASU:IMM:VAL?[I]
 10.014  MATH         MeasPos = MEM
 10.015  9500         -7.0mV                                            S
 10.016  MATH         AccNeg = REFACC()
 10.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 10.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.019  JMPL         END_DCV_GAIN                 @Abort
 10.020  VISA         MEASU:IMM:VAL?[I]
 10.021  MATH         MeasNeg = MEM
 10.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 10.023  ACC          14.0mV         L1U
 10.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 10.025  MEMCX        14.0mV         1.5%

 11.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 5 mV/div
 11.002  TARGET       -p
 11.003  TSET         TDESC = 5 mV/div
 11.004  VISA         CH[V @Chan]:TER 1E+6;SCA 5E-3;POS 0;OFFS 0
 11.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.006  JMPL         END_DCV_GAIN                 @Abort
 11.007  TARGET       -m
 11.008  9500         17.5mV                                            S
 11.009  MATH         AccPos = REFACC()
 11.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 11.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.012  JMPL         END_DCV_GAIN                 @Abort
 11.013  VISA         MEASU:IMM:VAL?[I]
 11.014  MATH         MeasPos = MEM
 11.015  9500         -17.5mV                                           S
 11.016  MATH         AccNeg = REFACC()
 11.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 11.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.019  JMPL         END_DCV_GAIN                 @Abort
 11.020  VISA         MEASU:IMM:VAL?[I]
 11.021  MATH         MeasNeg = MEM
 11.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 11.023  ACC          35.0mV         L1U
 11.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 11.025  MEMCX        35.0mV         1.5%

 12.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 10 mV/div
 12.002  TARGET       -p
 12.003  TSET         TDESC = 10 mV/div
 12.004  VISA         CH[V @Chan]:TER 1E+6;SCA 10E-3;POS 0;OFFS 0
 12.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.006  JMPL         END_DCV_GAIN                 @Abort
 12.007  TARGET       -m
 12.008  9500         35.0mV                                            S
 12.009  MATH         AccPos = REFACC()
 12.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 12.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.012  JMPL         END_DCV_GAIN                 @Abort
 12.013  VISA         MEASU:IMM:VAL?[I]
 12.014  MATH         MeasPos = MEM
 12.015  9500         -35.0mV                                           S
 12.016  MATH         AccNeg = REFACC()
 12.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 12.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.019  JMPL         END_DCV_GAIN                 @Abort
 12.020  VISA         MEASU:IMM:VAL?[I]
 12.021  MATH         MeasNeg = MEM
 12.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 12.023  ACC          70.0mV         L1U
 12.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 12.025  MEMCX        70.0mV         1.5%

 13.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 20 mV/div
 13.002  TARGET       -p
 13.003  TSET         TDESC = 20 mV/div
 13.004  VISA         CH[V @Chan]:TER 1E+6;SCA 20E-3;POS 0;OFFS 0
 13.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.006  JMPL         END_DCV_GAIN                 @Abort
 13.007  TARGET       -m
 13.008  9500         70.0mV                                            S
 13.009  MATH         AccPos = REFACC()
 13.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 13.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.012  JMPL         END_DCV_GAIN                 @Abort
 13.013  VISA         MEASU:IMM:VAL?[I]
 13.014  MATH         MeasPos = MEM
 13.015  9500         -70.0mV                                           S
 13.016  MATH         AccNeg = REFACC()
 13.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 13.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.019  JMPL         END_DCV_GAIN                 @Abort
 13.020  VISA         MEASU:IMM:VAL?[I]
 13.021  MATH         MeasNeg = MEM
 13.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 13.023  ACC          140.0mV        L1U
 13.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 13.025  MEMCX        140.0mV        1.5%

 14.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 50 mV/div
 14.002  TARGET       -p
 14.003  TSET         TDESC = 50 mV/div
 14.004  VISA         CH[V @Chan]:TER 1E+6;SCA 50E-3;POS 0;OFFS 0
 14.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.006  JMPL         END_DCV_GAIN                 @Abort
 14.007  TARGET       -m
 14.008  9500         175.0mV                                           S
 14.009  MATH         AccPos = REFACC()
 14.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 14.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.012  JMPL         END_DCV_GAIN                 @Abort
 14.013  VISA         MEASU:IMM:VAL?[I]
 14.014  MATH         MeasPos = MEM
 14.015  9500         -175.0mV                                          S
 14.016  MATH         AccNeg = REFACC()
 14.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 14.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.019  JMPL         END_DCV_GAIN                 @Abort
 14.020  VISA         MEASU:IMM:VAL?[I]
 14.021  MATH         MeasNeg = MEM
 14.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 14.023  ACC          350.0mV        L1U
 14.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 14.025  MEMCX        350.0mV        1.5%

 15.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 63.5 mV/div
 15.002  TARGET       -p
 15.003  TSET         TDESC = 63.5 mV/div
 15.004  VISA         CH[V @Chan]:TER 1E+6;SCA 63.5E-3;POS 0;OFFS 0
 15.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.006  JMPL         END_DCV_GAIN                 @Abort
 15.007  TARGET       -m
 15.008  9500         222.25mV                                          S
 15.009  MATH         AccPos = REFACC()
 15.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 15.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.012  JMPL         END_DCV_GAIN                 @Abort
 15.013  VISA         MEASU:IMM:VAL?[I]
 15.014  MATH         MeasPos = MEM
 15.015  9500         -222.25mV                                         S
 15.016  MATH         AccNeg = REFACC()
 15.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 15.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.019  JMPL         END_DCV_GAIN                 @Abort
 15.020  VISA         MEASU:IMM:VAL?[I]
 15.021  MATH         MeasNeg = MEM
 15.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 15.023  ACC          444.5mV        L1U
 15.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 15.025  MEMCX        444.5mV        3.0%

 16.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 100 mV/div
 16.002  TARGET       -p
 16.003  TSET         TDESC = 100 mV/div
 16.004  VISA         CH[V @Chan]:TER 1E+6;SCA 100E-3;POS 0;OFFS 0
 16.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.006  JMPL         END_DCV_GAIN                 @Abort
 16.007  TARGET       -m
 16.008  9500         350.0mV                                           S
 16.009  MATH         AccPos = REFACC()
 16.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 16.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.012  JMPL         END_DCV_GAIN                 @Abort
 16.013  VISA         MEASU:IMM:VAL?[I]
 16.014  MATH         MeasPos = MEM
 16.015  9500         -350.0mV                                          S
 16.016  MATH         AccNeg = REFACC()
 16.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 16.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.019  JMPL         END_DCV_GAIN                 @Abort
 16.020  VISA         MEASU:IMM:VAL?[I]
 16.021  MATH         MeasNeg = MEM
 16.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 16.023  ACC          700.0mV        L1U
 16.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 16.025  MEMCX        700.0mV        1.5%

 17.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 200 mV/div
 17.002  TARGET       -p
 17.003  TSET         TDESC = 200 mV/div
 17.004  VISA         CH[V @Chan]:TER 1E+6;SCA 200E-3;POS 0;OFFS 0
 17.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.006  JMPL         END_DCV_GAIN                 @Abort
 17.007  TARGET       -m
 17.008  9500         700.0mV                                           S
 17.009  MATH         AccPos = REFACC()
 17.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 17.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.012  JMPL         END_DCV_GAIN                 @Abort
 17.013  VISA         MEASU:IMM:VAL?[I]
 17.014  MATH         MeasPos = MEM
 17.015  9500         -700.0mV                                          S
 17.016  MATH         AccNeg = REFACC()
 17.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 17.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.019  JMPL         END_DCV_GAIN                 @Abort
 17.020  VISA         MEASU:IMM:VAL?[I]
 17.021  MATH         MeasNeg = MEM
 17.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 17.023  ACC          1400.0mV       L1U
 17.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 17.025  MEMCX        1400.0mV       1.5%

 18.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 500 mV/div
 18.002  TARGET       -p
 18.003  TSET         TDESC = 500 mV/div
 18.004  VISA         CH[V @Chan]:TER 1E+6;SCA 500E-3;POS 0;OFFS 0
 18.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.006  JMPL         END_DCV_GAIN                 @Abort
 18.007  TARGET       -m
 18.008  9500         1750.0mV                                          S
 18.009  MATH         AccPos = REFACC()
 18.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 18.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.012  JMPL         END_DCV_GAIN                 @Abort
 18.013  VISA         MEASU:IMM:VAL?[I]
 18.014  MATH         MeasPos = MEM
 18.015  9500         -1750.0mV                                         S
 18.016  MATH         AccNeg = REFACC()
 18.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 18.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.019  JMPL         END_DCV_GAIN                 @Abort
 18.020  VISA         MEASU:IMM:VAL?[I]
 18.021  MATH         MeasNeg = MEM
 18.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 18.023  ACC          3500.0mV       L1U
 18.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 18.025  MEMCX        3500.0mV       1.5%

 19.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 1 V/div
 19.002  TARGET       -p
 19.003  TSET         TDESC = 1 V/div
 19.004  VISA         CH[V @Chan]:TER 1E+6;SCA 1;POS 0;OFFS 0
 19.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.006  JMPL         END_DCV_GAIN                 @Abort
 19.007  TARGET       -m
 19.008  9500         3500.0mV                                          S
 19.009  MATH         AccPos = REFACC()
 19.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 19.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.012  JMPL         END_DCV_GAIN                 @Abort
 19.013  VISA         MEASU:IMM:VAL?[I]
 19.014  MATH         MeasPos = MEM
 19.015  9500         -3500.0mV                                         S
 19.016  MATH         AccNeg = REFACC()
 19.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 19.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.019  JMPL         END_DCV_GAIN                 @Abort
 19.020  VISA         MEASU:IMM:VAL?[I]
 19.021  MATH         MeasNeg = MEM
 19.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 19.023  ACC          7000.0mV       L1U
 19.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 19.025  MEMCX        7000.0mV       1.5%

 20.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 5 V/div
 20.002  TARGET       -p
 20.003  TSET         TDESC = 5 V/div
 20.004  VISA         CH[V @Chan]:TER 1E+6;SCA 5;POS 0;OFFS 0
 20.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.006  JMPL         END_DCV_GAIN                 @Abort
 20.007  TARGET       -m
 20.008  9500         17.5V                                             S
 20.009  MATH         AccPos = REFACC()
 20.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 20.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.012  JMPL         END_DCV_GAIN                 @Abort
 20.013  VISA         MEASU:IMM:VAL?[I]
 20.014  MATH         MeasPos = MEM
 20.015  9500         -17.5V                                            S
 20.016  MATH         AccNeg = REFACC()
 20.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 20.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.019  JMPL         END_DCV_GAIN                 @Abort
 20.020  VISA         MEASU:IMM:VAL?[I]
 20.021  MATH         MeasNeg = MEM
 20.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 20.023  ACC          35.0V          L1U
 20.024  MATH         MEM = (MeasPos - MeasNeg)
 20.025  MEMCX        35.0V          1.5%

# The 250 MHz bandwidth test is only applicable to >100 MHz bandwidth models.
 21.001  IF           @Bandwidth > 100E+6
 21.002  RSLT         =
 21.003  HEAD         -2 {1 MOhm, 250 MHz Bandwidth}: 20 mV/div
 21.004  TARGET
 21.005  TSET         TDESC = 20 mV/div
 21.006  VISA         CH[V @Chan]:TER 1E+6;BAN TWO;SCA 20E-3;POS 0;OFFS 0
 21.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.008  JMPL         END_DCV_GAIN                 @Abort
 21.009  TARGET       -m
 21.010  9500         70.0mV                                            S
 21.011  MATH         AccPos = REFACC()
 21.012  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 21.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.014  JMPL         END_DCV_GAIN                 @Abort
 21.015  VISA         MEASU:IMM:VAL?[I]
 21.016  MATH         MeasPos = MEM
 21.017  9500         -70.0mV                                           S
 21.018  MATH         AccNeg = REFACC()
 21.019  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 21.020  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.021  JMPL         END_DCV_GAIN                 @Abort
 21.022  VISA         MEASU:IMM:VAL?[I]
 21.023  MATH         MeasNeg = MEM
 21.024  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 21.025  ACC          140.0mV        L1U
 21.026  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 21.027  MEMCX        140.0mV        1.5%
 22.001  ENDIF

 22.002  RSLT         =
 22.003  HEAD         -2 {1 MOhm, Full Bandwidth}: 20 mV/div
 22.004  TARGET       -p
 22.005  TSET         TDESC = 20 mV/div
 22.006  VISA         CH[V @Chan]:TER 1E+6;BAN FUL;SCA 20E-3;POS 0;OFFS 0
 22.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.008  JMPL         END_DCV_GAIN                 @Abort
 22.009  TARGET       -m
 22.010  9500         70.0mV                                            S
 22.011  MATH         AccPos = REFACC()
 22.012  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 22.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.014  JMPL         END_DCV_GAIN                 @Abort
 22.015  VISA         MEASU:IMM:VAL?[I]
 22.016  MATH         MeasPos = MEM
 22.017  9500         -70.0mV                                           S
 22.018  MATH         AccNeg = REFACC()
 22.019  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 22.020  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.021  JMPL         END_DCV_GAIN                 @Abort
 22.022  VISA         MEASU:IMM:VAL?[I]
 22.023  MATH         MeasNeg = MEM
 22.024  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 22.025  ACC          140.0mV        L1U
 22.026  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 22.027  MEMCX        140.0mV        1.5%

 23.001  LABEL        END_DCV_GAIN
 23.002  HEAD         -2
 23.003  9500         *                                                 S
 23.004  HEAD
 23.005  END

 23.006  EVAL   Increment test number

# =====  Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500  =================

 24.001  LABEL        OFFSET_ACC

 24.002  RSLT         =
 24.003  HEAD         {OFFSET ACCURACY: Channel [V @Chan]}
 24.004  RSLT         =
 24.005  HEAD         -2 {50 Ohm}, 1 mV/div
 24.006  TARGET       -p
 24.007  TSET         TDESC = 1 mV/div
 24.008  VISA         CH[V @Chan]:BAN TWE
 24.009  VISA         TRIG:A:MOD NORM;TYPE EDGE
 24.010  VISA         TRIG:A:EDGE:SOU LINE
 24.011  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE MEAN
 24.012  VISA         CH[V @Chan]:TER 50;SCA 1E-3;POS 0;OFFS +900E-3
 24.013  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
 24.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.015  JMPL         END_OFFSET                   @Abort
 24.016  9500         900.0mV                                           S  L
 24.017  WAIT         [D2000]
 24.018  TARGET       -m
 24.019  VISA         ACQ:STATE RUN
 24.020  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.021  JMPL         END_OFFSET                   @Abort
 24.022  VISA         MEASU:IMM:VAL?[I]
 24.023  MATH         MEM = MEM / 1E-3
 24.024  MEMCX        +900.0mV       4.7U

 25.001  TSET         TDESC = 1 mV/div
 25.002  VISA         CH[V @Chan]:OFFS -900E-3
 25.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.004  JMPL         END_OFFSET                   @Abort
 25.005  9500         -900.0mV                                          S  L
 25.006  WAIT         [D2000]
 25.007  TARGET       -m
 25.008  VISA         ACQ:STATE RUN
 25.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.010  JMPL         END_OFFSET                   @Abort
 25.011  VISA         MEASU:IMM:VAL?[I]
 25.012  MATH         MEM = MEM / 1E-3
 25.013  MEMCX        -900.0mV       4.7U

 26.001  HEAD         -2 50 Ohm, 100 mV/div
 26.002  TARGET       -p
 26.003  TSET         TDESC = 100 mV/div
 26.004  VISA         CH[V @Chan]:SCA 100E-3;OFFS +5
 26.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 26.006  JMPL         END_OFFSET                   @Abort
 26.007  9500         5.000V                                            S  L
 26.008  WAIT         [D2000]
 26.009  TARGET       -m
 26.010  VISA         ACQ:STATE RUN
 26.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 26.012  JMPL         END_OFFSET                   @Abort
 26.013  VISA         MEASU:IMM:VAL?[I]
 26.014  MEMCX        +5.000V        0.035U

 27.001  TSET         TDESC = 100 mV/div
 27.002  VISA         CH[V @Chan]:OFFS -5
 27.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 27.004  JMPL         END_OFFSET                   @Abort
 27.005  9500         -5.000V                                           S  L
 27.006  WAIT         [D2000]
 27.007  TARGET       -m
 27.008  VISA         ACQ:STATE RUN
 27.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 27.010  JMPL         END_OFFSET                   @Abort
 27.011  VISA         MEASU:IMM:VAL?[I]
 27.012  MEMCX        -5.000V        0.035U

 28.001  9500         *                                                 S

 28.002  RSLT         =
 28.003  HEAD         -2 {1 MOhm}, 1 mV/div
 28.004  TARGET       -p
 28.005  TSET         TDESC = 1 mV/div
 28.006  VISA         CH[V @Chan]:TER 1E+6;SCA 1E-3;OFFS +900E-3
 28.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 28.008  JMPL         END_OFFSET                   @Abort
 28.009  9500         900.0mV                                           S
 28.010  WAIT         [D2000]
 28.011  TARGET       -m
 28.012  VISA         ACQ:STATE RUN
 28.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 28.014  JMPL         END_OFFSET                   @Abort
 28.015  VISA         MEASU:IMM:VAL?[I]
 28.016  MATH         MEM = MEM / 1E-3
 28.017  MEMCX        +900.0mV       4.7U

 29.001  TSET         TDESC = 1 mV/div
 29.002  VISA         CH[V @Chan]:OFFS -900E-3
 29.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 29.004  JMPL         END_OFFSET                   @Abort
 29.005  9500         -900.0mV                                          S
 29.006  WAIT         [D2000]
 29.007  TARGET       -m
 29.008  VISA         ACQ:STATE RUN
 29.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 29.010  JMPL         END_OFFSET                   @Abort
 29.011  VISA         MEASU:IMM:VAL?[I]
 29.012  MATH         MEM = MEM / 1E-3
 29.013  MEMCX        -900.0mV       4.7U

 30.001  TSET         TDESC = 100 mV/div
 30.002  VISA         CH[V @Chan]:SCA 100E-3;OFFS +9
 30.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 30.004  JMPL         END_OFFSET                   @Abort
 30.005  9500         9.000V                                            S
 30.006  WAIT         [D2000]
 30.007  TARGET       -m
 30.008  VISA         ACQ:STATE RUN
 30.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 30.010  JMPL         END_OFFSET                   @Abort
 30.011  VISA         MEASU:IMM:VAL?[I]
 30.012  MEMCX        +9.000V        0.065U

 31.001  TSET         TDESC = 100 mV/div
 31.002  VISA         CH[V @Chan]:OFFS -9
 31.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 31.004  JMPL         END_OFFSET                   @Abort
 31.005  9500         -9.000V                                           S
 31.006  WAIT         [D2000]
 31.007  TARGET       -m
 31.008  VISA         ACQ:STATE RUN
 31.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 31.010  JMPL         END_OFFSET                   @Abort
 31.011  VISA         MEASU:IMM:VAL?[I]
 31.012  MEMCX        -9.000V        0.065U

 32.001  TSET         TDESC = 500 mV/div
 32.002  VISA         CH[V @Chan]:SCA 500E-3;OFFS +9
 32.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 32.004  JMPL         END_OFFSET                   @Abort
 32.005  9500         9.000V                                            S
 32.006  WAIT         [D2000]
 32.007  TARGET       -m
 32.008  VISA         ACQ:STATE RUN
 32.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 32.010  JMPL         END_OFFSET                   @Abort
 32.011  VISA         MEASU:IMM:VAL?[I]
 32.012  MEMCX        +9.000V        0.145U

 33.001  TSET         TDESC = 500 mV/div
 33.002  VISA         CH[V @Chan]:OFFS -9
 33.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 33.004  JMPL         END_OFFSET                   @Abort
 33.005  9500         -9.000V                                           S
 33.006  WAIT         [D2000]
 33.007  TARGET       -m
 33.008  VISA         ACQ:STATE RUN
 33.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 33.010  JMPL         END_OFFSET                   @Abort
 33.011  VISA         MEASU:IMM:VAL?[I]
 33.012  MEMCX        -9.000V        0.145U

 34.001  TSET         TDESC = 1.01 V/div
 34.002  VISA         CH[V @Chan]:SCA 1.01;OFFS +99.5
 34.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 34.004  JMPL         END_OFFSET                   @Abort
 34.005  9500         99.5V                                             S
 34.006  WAIT         [D2000]
 34.007  TARGET       -m
 34.008  VISA         ACQ:STATE RUN
 34.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 34.010  JMPL         END_OFFSET                   @Abort
 34.011  VISA         MEASU:IMM:VAL?[I]
 34.012  MEMCX        +99.5V         0.7U

 35.001  TSET         TDESC = 1.01 V/div
 35.002  VISA         CH[V @Chan]:OFFS -99.5
 35.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 35.004  JMPL         END_OFFSET                   @Abort
 35.005  9500         -99.5V                                            S
 35.006  WAIT         [D2000]
 35.007  TARGET       -m
 35.008  VISA         ACQ:STATE RUN
 35.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 35.010  JMPL         END_OFFSET                   @Abort
 35.011  VISA         MEASU:IMM:VAL?[I]
 35.012  MEMCX        -99.5V         0.7U

 36.001  IF           FINDI(@DUT_Model, "MDO", 0)
 36.002  TSET         TDESC = 3 V/div
 36.003  VISA         CH[V @Chan]:SCA 3;OFFS +99.5
 36.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 36.005  JMPL         END_OFFSET                   @Abort
 36.006  9500         99.5V                                             S
 36.007  WAIT         [D2000]
 36.008  TARGET       -m
 36.009  VISA         ACQ:STATE RUN
 36.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 36.011  JMPL         END_OFFSET                   @Abort
 36.012  VISA         MEASU:IMM:VAL?[I]
 36.013  MEMCX        +99.5V         1.1U

 37.001  TSET         TDESC = 3 V/div
 37.002  VISA         CH[V @Chan]:OFFS -99.5
 37.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 37.004  JMPL         END_OFFSET                   @Abort
 37.005  9500         -99.5V                                            S
 37.006  WAIT         [D2000]
 37.007  TARGET       -m
 37.008  VISA         ACQ:STATE RUN
 37.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 37.010  JMPL         END_OFFSET                   @Abort
 37.011  VISA         MEASU:IMM:VAL?[I]
 37.012  MEMCX        -99.5V         1.1U
 38.001  ENDIF

 38.002  TSET         TDESC = 5 V/div
 38.003  VISA         CH[V @Chan]:SCA 5;OFFS +99.5
 38.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 38.005  JMPL         END_OFFSET                   @Abort
 38.006  9500         99.5V                                             S
 38.007  WAIT         [D2000]
 38.008  TARGET       -m
 38.009  VISA         ACQ:STATE RUN
 38.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 38.011  JMPL         END_OFFSET                   @Abort
 38.012  VISA         MEASU:IMM:VAL?[I]
 38.013  MEMCX        +99.5V         1.5U

 39.001  TSET         TDESC = 5 V/div
 39.002  VISA         CH[V @Chan]:OFFS -99.5
 39.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 39.004  JMPL         END_OFFSET                   @Abort
 39.005  9500         -99.5V                                            S
 39.006  WAIT         [D2000]
 39.007  TARGET       -m
 39.008  VISA         ACQ:STATE RUN
 39.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 39.010  JMPL         END_OFFSET                   @Abort
 39.011  VISA         MEASU:IMM:VAL?[I]
 39.012  MEMCX        -99.5V         1.5U

 40.001  LABEL        END_OFFSET
 40.002  HEAD         -2
 40.003  9500         *                                                 S
 40.004  HEAD
 40.005  END

 40.006  EVAL   Increment test number

# =====  Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /9500  ================

 41.001  LABEL        SAMPLE_RATE
 41.002  RSLT         =
 41.003  HEAD         {SAMPLE RATE AND DELAY TIME ACCURACY}
 41.004  TARGET       -p
# Connection instructions for single or multi-head calibrator; applies only
# to DUT channel 1.  For channel 2-4 connection instructions, see the Input
# Impedance test above.
 41.005  IF           @Chan == 1
 41.006  DISP         Remove all connections.
 41.006  DISP         [7][D250][7][D250][7][D250][7][D250][7]

 41.007  IF           @MultiHead && @NumChan == 2
 41.008  DISP         Connect the 9500 to the DUT as follows:
 41.008  DISP
 41.008  DISP         [32] CH 1 Active Head to DUT CH 1.
 41.008  DISP         [32] CH 2 Active Head to DUT CH 2.
 41.009  ELSEIF       @MultiHead && @NumChan == 4
 41.010  DISP         Connect the 9500 to the DUT as follows:
 41.010  DISP         [32] CH 1 Active Head to DUT CH 1.
 41.010  DISP         [32] CH 2 Active Head to DUT CH 2.
 41.010  DISP         [32] CH 3 Active Head to DUT CH 3.
 41.010  DISP         [32] CH 4 Active Head to DUT CH 4.
 41.011  ELSE         ; Single head.
 41.012  DISP         Connect 9500 CH 1 Active Head to DUT CH 1.
 41.013  ENDIF        ; @MultiHead

 41.014  IF           FINDI(@DUT_Model, "MDO", 0)
 41.015  DISP         Connect a Type N, 50 Ohm terminator to the DUT RF Input.
 41.016  ENDIF

 41.017  ENDIF        ; @Chan == 1

 41.018  TSET         NTHROW = 0
 41.019  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
 41.020  VISA         CH[V @Chan]:TER 50;SCA 500E-3;POS 0;:HOR:SCA 20E-3
 41.021  VISA         TRIG:A:MOD NORM;TYPE EDGE;LEV 0
 41.022  VISA         TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 41.023  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 41.024  JMPL         END_SAMPLE_RATE              @Abort
 41.025  9500         80mT                         1Vpp           M2    S  L
 41.026  VISA         HOR:SCA 400E-9;MAI:DEL:MOD ON;TIM 80E-3
 41.027  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 41.028  JMPL         END_SAMPLE_RATE              @Abort
 41.029  DISP         Adjust the Trigger LEVEL knob as necessary for a
 41.029  DISP         triggered display.
 41.029  DISP
 41.029  DISP         Adjust the Vertical POSITION knob to center the time
 41.029  DISP         mark signal on the screen.
 41.030  VISA         ACQ:STATE STOP;STOPAFTER SEQ
 41.031  VISA         CURS:FUNC WAVEFORM;MODE IND;:CURS:VBARS:UNITS SEC
 41.032  VISA         CURS:VBARS:POSITION1 80E-3;POSITION2 80E-3
 41.033  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 41.034  JMPL         END_SAMPLE_RATE              @Abort
 41.035  VISA         ACQ:STATE RUN
 41.036  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 41.037  JMPL         END_SAMPLE_RATE              @Abort
 41.038  DISP         Use the Multipurpose (b) knob to align cursor (b) with
 41.038  DISP         the rising edge of the displayed waveform, where the
 41.038  DISP         waveform intercepts the horizontal axis.
 41.038  DISP
 41.038  DISP         NOTE: The reference cursor (a) has been automatically
 41.038  DISP         positioned as required for this measurement.
 41.039  VISA         CURS:VBARS:HPOS2?[I]

# Determine if cursor "b" is left or right of vertical center.
 41.040  IF           MEM < 1.0
 41.041  MATH         L[2] = -1.0
 41.042  ELSE
 41.043  MATH         L[2] = +1.0
 41.044  ENDIF
 41.045  TARGET       -m

# Ensure cursor "a" is still at the 80 ms position before querying delta.
 41.046  VISA         CURS:VBARS:POSITION1 80E-3;:CURS:VBARS:DELTA?[I]
# Compute DUT Indicated in milliseconds.
 41.047  MATH         MEM = 80 + L[2] * MEM / 1E-3
 41.048  MEMCX        80.000000ms    5P%

# Determine the total time until next operator intervention.
 42.001  IF           FINDI(@DUT_Model, "MDO", 0)
 42.002  MATH         MinutesPerChan = 13
 42.003  ELSE
 42.004  MATH         MinutesPerChan = 11
 42.005  ENDIF

 42.006  IF           @MultiHead
 42.007  MATH         NumChan = @NumChan
 42.008  ELSE
 42.009  MATH         NumChan = 1
 42.010  ENDIF

 42.011  MATH         Time = (NumChan * MinutesPerChan) & " minutes"

 42.012  DISP         The next operator intervention will occur in
 42.012  DISP         approximately [V Time].
 42.012  DISP
 42.012  DISP         Select "Advance" to proceed.

 42.013  LABEL        END_SAMPLE_RATE
 42.014  9500         *                                                 S
 42.015  HEAD
 42.016  END
