﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500
INSTRUMENT:            Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500
DATE:                  2018-03-16 07:09:52
AUTHOR:                Fluke
REVISION:              $Revision: 23178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       45
NUMBER OF LINES:       854
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        DPO4102B, DPO4102B-L, DPO4104B, DPO4104B-L
#        MSO4102B, MSO4102B-L, MSO4104B, MSO4104B-L
#        MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  JMPL         DCV_GAIN_ACC                 PSUBI("50 Ohm DCV Gain")
  1.003  JMPL         DELTA_TIME_ACCURACY          PSUBI("Delta Time")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   -e Increment test number

# =====  Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500  ============
#
# This test deviates from the performance verification manual.  Applied
# voltage is equivalent to 3.5 divisions instead of 4.5 divisions, per
# Tektronix Engineering Change Request CR00430025.

  2.001  LABEL        DCV_GAIN_ACC
  2.002  MATH         Conf9500 = CONF("Datron 9500")

  2.003  RSLT         =
  2.004  HEAD         {DC GAIN ACCURACY: Channel [V @Chan]}

  2.005  RSLT         =
  2.006  HEAD         -2 {50 Ohm, 20 MHz Bandwidth}: 1 mV/div
  2.007  TARGET       -p
  2.008  TSET         TDESC = 1 mV/div
  2.009  VISA         CH[V @Chan]:BAN TWE;TER 50;SCA 1E-3;POS 0;OFFS 0
  2.010  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU LINE
  2.011  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE MEAN
  2.012  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
  2.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.014  JMPL         END_DCV_GAIN                 @Abort
  2.015  TARGET       -m
  2.016  9500         3.5mV                                             S  L
  2.017  MATH         AccPos = REFACC()
  2.018  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  2.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.020  JMPL         END_DCV_GAIN                 @Abort
  2.021  VISA         MEASU:IMM:VAL?[I]
  2.022  MATH         MeasPos = MEM
  2.023  9500         -3.5mV                                            S  L
  2.024  MATH         AccNeg = REFACC()
  2.025  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  2.026  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.027  JMPL         END_DCV_GAIN                 @Abort
  2.028  VISA         MEASU:IMM:VAL?[I]
  2.029  MATH         MeasNeg = MEM
  2.030  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  2.031  ACC          7.0mV          L1U
  2.032  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  2.033  MEMCX        7.0mV          2.0%

  3.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 2 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 2 mV/div
  3.004  VISA         CH[V @Chan]:TER 50;SCA 2E-3;POS 0;OFFS 0
  3.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.006  JMPL         END_DCV_GAIN                 @Abort
  3.007  TARGET       -m
  3.008  9500         7.0mV                                             S  L
  3.009  MATH         AccPos = REFACC()
  3.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  3.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.012  JMPL         END_DCV_GAIN                 @Abort
  3.013  VISA         MEASU:IMM:VAL?[I]
  3.014  MATH         MeasPos = MEM
  3.015  9500         -7.0mV                                            S  L
  3.016  MATH         AccNeg = REFACC()
  3.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  3.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.019  JMPL         END_DCV_GAIN                 @Abort
  3.020  VISA         MEASU:IMM:VAL?[I]
  3.021  MATH         MeasNeg = MEM
  3.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  3.023  ACC          14.0mV         L1U
  3.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  3.025  MEMCX        14.0mV         1.5%

  4.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 5 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 5 mV/div
  4.004  VISA         CH[V @Chan]:TER 50;SCA 5E-3;POS 0;OFFS 0
  4.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.006  JMPL         END_DCV_GAIN                 @Abort
  4.007  TARGET       -m
  4.008  9500         17.5mV                                            S  L
  4.009  MATH         AccPos = REFACC()
  4.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  4.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.012  JMPL         END_DCV_GAIN                 @Abort
  4.013  VISA         MEASU:IMM:VAL?[I]
  4.014  MATH         MeasPos = MEM
  4.015  9500         -17.5mV                                           S  L
  4.016  MATH         AccNeg = REFACC()
  4.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  4.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.019  JMPL         END_DCV_GAIN                 @Abort
  4.020  VISA         MEASU:IMM:VAL?[I]
  4.021  MATH         MeasNeg = MEM
  4.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  4.023  ACC          35.0mV         L1U
  4.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  4.025  MEMCX        35.0mV         1.5%

  5.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 10 mV/div
  5.002  TARGET       -p
  5.003  TSET         TDESC = 10 mV/div
  5.004  VISA         CH[V @Chan]:TER 50;SCA 10E-3;POS 0;OFFS 0
  5.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.006  JMPL         END_DCV_GAIN                 @Abort
  5.007  TARGET       -m
  5.008  9500         35.0mV                                            S  L
  5.009  MATH         AccPos = REFACC()
  5.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  5.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.012  JMPL         END_DCV_GAIN                 @Abort
  5.013  VISA         MEASU:IMM:VAL?[I]
  5.014  MATH         MeasPos = MEM
  5.015  9500         -35.0mV                                           S  L
  5.016  MATH         AccNeg = REFACC()
  5.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  5.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.019  JMPL         END_DCV_GAIN                 @Abort
  5.020  VISA         MEASU:IMM:VAL?[I]
  5.021  MATH         MeasNeg = MEM
  5.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  5.023  ACC          70.0mV         L1U
  5.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  5.025  MEMCX        70.0mV         1.5%

  6.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 20 mV/div
  6.002  TARGET       -p
  6.003  TSET         TDESC = 20 mV/div
  6.004  VISA         CH[V @Chan]:TER 50;SCA 20E-3;POS 0;OFFS 0
  6.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.006  JMPL         END_DCV_GAIN                 @Abort
  6.007  TARGET       -m
  6.008  9500         70.0mV                                            S  L
  6.009  MATH         AccPos = REFACC()
  6.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  6.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.012  JMPL         END_DCV_GAIN                 @Abort
  6.013  VISA         MEASU:IMM:VAL?[I]
  6.014  MATH         MeasPos = MEM
  6.015  9500         -70.0mV                                           S  L
  6.016  MATH         AccNeg = REFACC()
  6.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  6.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.019  JMPL         END_DCV_GAIN                 @Abort
  6.020  VISA         MEASU:IMM:VAL?[I]
  6.021  MATH         MeasNeg = MEM
  6.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  6.023  ACC          140.0mV        L1U
  6.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  6.025  MEMCX        140.0mV        1.5%

  7.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 49.8 mV/div
  7.002  TARGET       -p
  7.003  TSET         TDESC = 49.8 mV/div
  7.004  VISA         CH[V @Chan]:TER 50;SCA 49.8E-3;POS 0;OFFS 0
  7.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.006  JMPL         END_DCV_GAIN                 @Abort
  7.007  TARGET       -m
  7.008  9500         174.3mV                                           S  L
  7.009  MATH         AccPos = REFACC()
  7.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  7.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.012  JMPL         END_DCV_GAIN                 @Abort
  7.013  VISA         MEASU:IMM:VAL?[I]
  7.014  MATH         MeasPos = MEM
  7.015  9500         -174.3mV                                          S  L
  7.016  MATH         AccNeg = REFACC()
  7.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  7.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.019  JMPL         END_DCV_GAIN                 @Abort
  7.020  VISA         MEASU:IMM:VAL?[I]
  7.021  MATH         MeasNeg = MEM
  7.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  7.023  ACC          348.6mV        L1U
  7.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  7.025  MEMCX        348.6mV        3.0%

  8.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 50 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 50 mV/div
  8.004  VISA         CH[V @Chan]:TER 50;SCA 50E-3;POS 0;OFFS 0
  8.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.006  JMPL         END_DCV_GAIN                 @Abort
  8.007  TARGET       -m
  8.008  9500         175.0mV                                           S  L
  8.009  MATH         AccPos = REFACC()
  8.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  8.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.012  JMPL         END_DCV_GAIN                 @Abort
  8.013  VISA         MEASU:IMM:VAL?[I]
  8.014  MATH         MeasPos = MEM
  8.015  9500         -175.0mV                                          S  L
  8.016  MATH         AccNeg = REFACC()
  8.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  8.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.019  JMPL         END_DCV_GAIN                 @Abort
  8.020  VISA         MEASU:IMM:VAL?[I]
  8.021  MATH         MeasNeg = MEM
  8.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  8.023  ACC          350.0mV        L1U
  8.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  8.025  MEMCX        350.0mV        1.5%

  9.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 100 mV/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 100 mV/div
  9.004  VISA         CH[V @Chan]:TER 50;SCA 100E-3;POS 0;OFFS 0
  9.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.006  JMPL         END_DCV_GAIN                 @Abort
  9.007  TARGET       -m
  9.008  9500         350.0mV                                           S  L
  9.009  MATH         AccPos = REFACC()
  9.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  9.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.012  JMPL         END_DCV_GAIN                 @Abort
  9.013  VISA         MEASU:IMM:VAL?[I]
  9.014  MATH         MeasPos = MEM
  9.015  9500         -350.0mV                                          S  L
  9.016  MATH         AccNeg = REFACC()
  9.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
  9.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.019  JMPL         END_DCV_GAIN                 @Abort
  9.020  VISA         MEASU:IMM:VAL?[I]
  9.021  MATH         MeasNeg = MEM
  9.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
  9.023  ACC          700.0mV        L1U
  9.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  9.025  MEMCX        700.0mV        1.5%

 10.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 200 mV/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 200 mV/div
 10.004  VISA         CH[V @Chan]:TER 50;SCA 200E-3;POS 0;OFFS 0
 10.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.006  JMPL         END_DCV_GAIN                 @Abort
 10.007  TARGET       -m
 10.008  9500         700.0mV                                           S  L
 10.009  MATH         AccPos = REFACC()
 10.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 10.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.012  JMPL         END_DCV_GAIN                 @Abort
 10.013  VISA         MEASU:IMM:VAL?[I]
 10.014  MATH         MeasPos = MEM
 10.015  9500         -700.0mV                                          S  L
 10.016  MATH         AccNeg = REFACC()
 10.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 10.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.019  JMPL         END_DCV_GAIN                 @Abort
 10.020  VISA         MEASU:IMM:VAL?[I]
 10.021  MATH         MeasNeg = MEM
 10.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 10.023  ACC          1400.0mV       L1U
 10.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 10.025  MEMCX        1400.0mV       1.5%

 11.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 500 mV/div
 11.002  TARGET       -p
 11.003  TSET         TDESC = 500 mV/div
 11.004  VISA         CH[V @Chan]:TER 50;SCA 500E-3;POS 0;OFFS 0
 11.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.006  JMPL         END_DCV_GAIN                 @Abort
 11.007  TARGET       -m
 11.008  9500         1750.0mV                                          S  L
 11.009  MATH         AccPos = REFACC()
 11.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 11.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.012  JMPL         END_DCV_GAIN                 @Abort
 11.013  VISA         MEASU:IMM:VAL?[I]
 11.014  MATH         MeasPos = MEM
 11.015  9500         -1750.0mV                                         S  L
 11.016  MATH         AccNeg = REFACC()
 11.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 11.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.019  JMPL         END_DCV_GAIN                 @Abort
 11.020  VISA         MEASU:IMM:VAL?[I]
 11.021  MATH         MeasNeg = MEM
 11.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 11.023  ACC          3500.0mV       L1U
 11.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 11.025  MEMCX        3500.0mV       1.5%

 12.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 1 V/div
 12.002  TARGET       -p
 12.003  TSET         TDESC = 1 V/div
 12.004  VISA         CH[V @Chan]:TER 50;SCA 1;POS 0;OFFS 0
 12.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.006  JMPL         END_DCV_GAIN                 @Abort
 12.007  TARGET       -m
 12.008  9500         3500.0mV                                          S  L
 12.009  MATH         AccPos = REFACC()
 12.010  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 12.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.012  JMPL         END_DCV_GAIN                 @Abort
 12.013  VISA         MEASU:IMM:VAL?[I]
 12.014  MATH         MeasPos = MEM
 12.015  9500         -3500.0mV                                         S  L
 12.016  MATH         AccNeg = REFACC()
 12.017  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 12.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.019  JMPL         END_DCV_GAIN                 @Abort
 12.020  VISA         MEASU:IMM:VAL?[I]
 12.021  MATH         MeasNeg = MEM
 12.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 12.023  ACC          7000.0mV       L1U
 12.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 12.025  MEMCX        7000.0mV       1.5%

 13.001  RSLT         =
 13.002  HEAD         -2 {50 Ohm, 250 MHz Bandwidth}: 20 mV/div
 13.003  TARGET
 13.004  TSET         TDESC = 20 mV/div
 13.005  VISA         CH[V @Chan]:TER 50;BAN TWO;SCA 20E-3;POS 0;OFFS 0
 13.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.007  JMPL         END_DCV_GAIN                 @Abort
 13.008  TARGET       -m
 13.009  9500         70.0mV                                            S  L
 13.010  MATH         AccPos = REFACC()
 13.011  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 13.012  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.013  JMPL         END_DCV_GAIN                 @Abort
 13.014  VISA         MEASU:IMM:VAL?[I]
 13.015  MATH         MeasPos = MEM
 13.016  9500         -70.0mV                                           S  L
 13.017  MATH         AccNeg = REFACC()
 13.018  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 13.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.020  JMPL         END_DCV_GAIN                 @Abort
 13.021  VISA         MEASU:IMM:VAL?[I]
 13.022  MATH         MeasNeg = MEM
 13.023  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 13.024  ACC          140.0mV        L1U
 13.025  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 13.026  MEMCX        140.0mV        1.5%

 14.001  RSLT         =
 14.002  HEAD         -2 {50 Ohm, Full Bandwidth}: 20 mV/div
 14.003  TARGET       -p
 14.004  TSET         TDESC = 20 mV/div
 14.005  VISA         CH[V @Chan]:TER 50;BAN FUL;SCA 20E-3;POS 0;OFFS 0
 14.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.007  JMPL         END_DCV_GAIN                 @Abort
 14.008  TARGET       -m
 14.009  9500         70.0mV                                            S  L
 14.010  MATH         AccPos = REFACC()
 14.011  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 14.012  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.013  JMPL         END_DCV_GAIN                 @Abort
 14.014  VISA         MEASU:IMM:VAL?[I]
 14.015  MATH         MeasPos = MEM
 14.016  9500         -70.0mV                                           S  L
 14.017  MATH         AccNeg = REFACC()
 14.018  VISA         [D2000]MEASU:STATI RESET;:ACQ:STATE RUN
 14.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.020  JMPL         END_DCV_GAIN                 @Abort
 14.021  VISA         MEASU:IMM:VAL?[I]
 14.022  MATH         MeasNeg = MEM
 14.023  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf9500 * 2
 14.024  ACC          140.0mV        L1U
 14.025  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 14.026  MEMCX        140.0mV        1.5%

 15.001  LABEL        END_DCV_GAIN
 15.002  HEAD         -2
 15.003  9500         *                                                 S
 15.004  HEAD
 15.005  END

 15.006  EVAL   -e Increment test number


# =====  Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500  =================

 16.001  LABEL        DELTA_TIME_ACCURACY
 16.002  RSLT         =
 16.003  HEAD         {DELTA TIME ACCURACY: Channel [V @Chan]}
 16.004  RSLT         =
 16.005  HEAD         -2 {4 ns/div, 240 MHz}, 5 mV/div
 16.006  TARGET       -p
 16.007  TSET         TDESC = 5 mV/div
 16.008  VISA         CH[V @Chan]:TER 50;SCA 5E-3;:HOR:SCA 4E-9
 16.009  VISA         TRIG:A:EDGE:SOU CH[V @Chan]
 16.010  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYPE BUR;STATE ON
 16.011  VISA         MEASU:STATI:MODE ON;WEI 100
 16.012  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.013  JMPL         END_DELTA_TIME               @Abort
# 1 / 240 MHz = 4166.66... ps
 16.014  9500         4167pT                       40mVpp         LS    S  L
 16.015  WAIT         [D2000]
 16.016  TARGET       -m
 16.017  VISA         MEASU:STATI RESET
 16.018  WAIT         -t 10 The DUT is acquiring samples, please wait...
 16.019  VISA         MEASU:MEAS1:STD?[I]
 16.020  MATH         MEM = MEM / 1E-12
 16.021  MEMCX        0pT            +118U

 17.001  HEAD         -2 4 ns/div, 240 MHz, 100 mV/div
 17.002  TSET         TDESC = 100 mV/div
 17.003  VISA         CH[V @Chan]:SCA 100E-3
 17.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.005  JMPL         END_DELTA_TIME               @Abort
 17.006  9500         4167pT                       800mVpp        LS    S  L
 17.007  WAIT         [D2000]
 17.008  TARGET       -m
 17.009  VISA         MEASU:STATI RESET
 17.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 17.011  VISA         MEASU:MEAS1:STD?[I]
 17.012  MATH         MEM = MEM / 1E-12
 17.013  MEMCX        0pT            +117U

 18.001  HEAD         -2 4 ns/div, 240 MHz, 500 mV/div
 18.002  TSET         TDESC = 500 mV/div
 18.003  VISA         CH[V @Chan]:SCA 500E-3
 18.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.005  JMPL         END_DELTA_TIME               @Abort
 18.006  9500         4167pT                       4Vpp           LS    S  L
 18.007  WAIT         [D2000]
 18.008  TARGET       -m
 18.009  VISA         MEASU:STATI RESET
 18.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 18.011  VISA         MEASU:MEAS1:STD?[I]
 18.012  MATH         MEM = MEM / 1E-12
 18.013  MEMCX        0pT            +117U

 19.001  HEAD         -2 4 ns/div, 240 MHz, 1 V/div
 19.002  TSET         TDESC = 1 V/div
 19.003  VISA         CH[V @Chan]:SCA 1
 19.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.005  JMPL         END_DELTA_TIME               @Abort
 19.006  9500         4167pT                       4Vpp           LS    S  L
 19.007  WAIT         [D2000]
 19.008  TARGET       -m
 19.009  VISA         MEASU:STATI RESET
 19.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 19.011  VISA         MEASU:MEAS1:STD?[I]
 19.012  MATH         MEM = MEM / 1E-12
 19.013  MEMCX        0pT            +122U

 20.001  RSLT         =
 20.002  HEAD         -2 {40 ns/div, 24 MHz}, 1 mV/div
 20.003  TARGET
 20.004  TSET         TDESC = 1 mV/div
 20.005  VISA         HOR:SCA 40E-9;:CH[V @Chan]:SCA 1E-3
 20.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.007  JMPL         END_DELTA_TIME               @Abort
# 1 / 24 MHz = 41666.66... ps
 20.008  9500         41667pT                      8mVpp          LS    S  L
 20.009  WAIT         [D2000]
 20.010  TARGET       -m
 20.011  VISA         MEASU:STATI RESET
 20.012  WAIT         -t 10 The DUT is acquiring samples, please wait...
 20.013  VISA         MEASU:MEAS1:STD?[I]
 20.014  MATH         MEM = MEM / 1E-12
 20.015  MEMCX        0pT            +464U

 21.001  HEAD         -2 40 ns/div, 24 MHz, 5 mV/div
 21.002  TSET         TDESC = 5 mV/div
 21.003  VISA         CH[V @Chan]:SCA 5E-3
 21.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.005  JMPL         END_DELTA_TIME               @Abort
 21.006  9500         41667pT                      40mVpp         LS    S  L
 21.007  WAIT         [D2000]
 21.008  TARGET       -m
 21.009  VISA         MEASU:STATI RESET
 21.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 21.011  VISA         MEASU:MEAS1:STD?[I]
 21.012  MATH         MEM = MEM / 1E-12
 21.013  MEMCX        0pT            +276U

 22.001  HEAD         -2 40 ns/div, 24 MHz, 100 mV/div
 22.002  TSET         TDESC = 100 mV/div
 22.003  VISA         CH[V @Chan]:SCA 100E-3
 22.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.005  JMPL         END_DELTA_TIME               @Abort
 22.006  9500         41667pT                      800mVpp        LS    S  L
 22.007  WAIT         [D2000]
 22.008  TARGET       -m
 22.009  VISA         MEASU:STATI RESET
 22.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 22.011  VISA         MEASU:MEAS1:STD?[I]
 22.012  MATH         MEM = MEM / 1E-12
 22.013  MEMCX        0pT            +234U

 23.001  HEAD         -2 40 ns/div, 24 MHz, 500 mV/div
 23.002  TSET         TDESC = 500 mV/div
 23.003  VISA         CH[V @Chan]:SCA 500E-3
 23.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.005  JMPL         END_DELTA_TIME               @Abort
 23.006  9500         41667pT                      4Vpp           LS    S  L
 23.007  WAIT         [D2000]
 23.008  TARGET       -m
 23.009  VISA         MEASU:STATI RESET
 23.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 23.011  VISA         MEASU:MEAS1:STD?[I]
 23.012  MATH         MEM = MEM / 1E-12
 23.013  MEMCX        0pT            +232U

 24.001  HEAD         -2 40 ns/div, 24 MHz, 1 V/div
 24.002  TSET         TDESC = 1 V/div
 24.003  VISA         CH[V @Chan]:SCA 1
 24.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.005  JMPL         END_DELTA_TIME               @Abort
 24.006  9500         41667pT                      4Vpp           LS    S  L
 24.007  WAIT         [D2000]
 24.008  TARGET       -m
 24.009  VISA         MEASU:STATI RESET
 24.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 24.011  VISA         MEASU:MEAS1:STD?[I]
 24.012  MATH         MEM = MEM / 1E-12
 24.013  MEMCX        0pT            +417U

 25.001  RSLT         =
 25.002  HEAD         -2 {400 ns/div, 2.4 MHz}, 1 mV/div
 25.003  TARGET
 25.004  TSET         TDESC = 1 mV/div
 25.005  VISA         HOR:SCA 400E-9;:CH[V @Chan]:SCA 1E-3
 25.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.007  JMPL         END_DELTA_TIME               @Abort
# 1 / 2.4 MHz = 416.6666... ns
 25.008  9500         416.67nT                     8mVpp          LS    S  L
 25.009  WAIT         [D2000]
 25.010  TARGET       -m
 25.011  VISA         MEASU:STATI RESET
 25.012  WAIT         -t 10 The DUT is acquiring samples, please wait...
 25.013  VISA         MEASU:MEAS1:STD?[I]
 25.014  MATH         MEM = MEM / 1E-9
 25.015  MEMCX        0.00nT         +4.50U

 26.001  HEAD         -2 400 ns/div, 2.4 MHz, 5 mV/div
 26.002  TSET         TDESC = 5 mV/div
 26.003  VISA         CH[V @Chan]:SCA 5E-3
 26.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 26.005  JMPL         END_DELTA_TIME               @Abort
 26.006  9500         416.67nT                     40mVpp         LS    S  L
 26.007  WAIT         [D2000]
 26.008  TARGET       -m
 26.009  VISA         MEASU:STATI RESET
 26.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 26.011  VISA         MEASU:MEAS1:STD?[I]
 26.012  MATH         MEM = MEM / 1E-9
 26.013  MEMCX        0.00nT         +2.52U

 27.001  HEAD         -2 400 ns/div, 2.4 MHz, 100 mV/div
 27.002  TSET         TDESC = 100 mV/div
 27.003  VISA         CH[V @Chan]:SCA 100E-3
 27.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 27.005  JMPL         END_DELTA_TIME               @Abort
 27.006  9500         416.67nT                     800mVpp        LS    S  L
 27.007  WAIT         [D2000]
 27.008  TARGET       -m
 27.009  VISA         MEASU:STATI RESET
 27.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 27.011  VISA         MEASU:MEAS1:STD?[I]
 27.012  MATH         MEM = MEM / 1E-9
 27.013  MEMCX        0.00nT         +2.05U

 28.001  HEAD         -2 400 ns/div, 2.4 MHz, 500 mV/div
 28.002  TSET         TDESC = 500 mV/div
 28.003  VISA         CH[V @Chan]:SCA 500E-3
 28.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 28.005  JMPL         END_DELTA_TIME               @Abort
 28.006  9500         416.67nT                     4Vpp           LS    S  L
 28.007  WAIT         [D2000]
 28.008  TARGET       -m
 28.009  VISA         MEASU:STATI RESET
 28.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 28.011  VISA         MEASU:MEAS1:STD?[I]
 28.012  MATH         MEM = MEM / 1E-9
 28.013  MEMCX        0.00nT         +2.03U

 29.001  HEAD         -2 400 ns/div, 2.4 MHz, 1 V/div
 29.002  TSET         TDESC = 1 V/div
 29.003  VISA         CH[V @Chan]:SCA 1
 29.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 29.005  JMPL         END_DELTA_TIME               @Abort
 29.006  9500         416.67nT                     4Vpp           LS    S  L
 29.007  WAIT         [D2000]
 29.008  TARGET       -m
 29.009  VISA         MEASU:STATI RESET
 29.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 29.011  VISA         MEASU:MEAS1:STD?[I]
 29.012  MATH         MEM = MEM / 1E-9
 29.013  MEMCX        0.00nT         +4.01U

 30.001  RSLT         =
 30.002  HEAD         -2 {4 µs/div, 240 kHz}, 1 mV/div
 30.003  TARGET
 30.004  TSET         TDESC = 1 mV/div
 30.005  VISA         HOR:SCA 4E-6;:CH[V @Chan]:SCA 1E-3
 30.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 30.007  JMPL         END_DELTA_TIME               @Abort
# 1 / 240 kHz = 4166.666... ns
 30.008  9500         4166.7nT                     8mVpp          LS    S  L
 30.009  WAIT         [D2000]
 30.010  TARGET       -m
 30.011  VISA         MEASU:STATI RESET
 30.012  WAIT         -t 10 The DUT is acquiring samples, please wait...
 30.013  VISA         MEASU:MEAS1:STD?[I]
 30.014  MATH         MEM = MEM / 1E-9
 30.015  MEMCX        0.0nT          +45.0U

 31.001  HEAD         -2 4 µs/div, 240 kHz, 5 mV/div
 31.002  TSET         TDESC = 5 mV/div
 31.003  VISA         CH[V @Chan]:SCA 5E-3
 31.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 31.005  JMPL         END_DELTA_TIME               @Abort
 31.006  9500         4166.7nT                     40mVpp         LS    S  L
 31.007  WAIT         [D2000]
 31.008  TARGET       -m
 31.009  VISA         MEASU:STATI RESET
 31.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 31.011  VISA         MEASU:MEAS1:STD?[I]
 31.012  MATH         MEM = MEM / 1E-9
 31.013  MEMCX        0.0nT          +25.2U

 32.001  HEAD         -2 4 µs/div, 240 kHz, 100 mV/div
 32.002  TSET         TDESC = 100 mV/div
 32.003  VISA         CH[V @Chan]:SCA 100E-3
 32.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 32.005  JMPL         END_DELTA_TIME               @Abort
 32.006  9500         4166.7nT                     800mVpp        LS    S  L
 32.007  WAIT         [D2000]
 32.008  TARGET       -m
 32.009  VISA         MEASU:STATI RESET
 32.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 32.011  VISA         MEASU:MEAS1:STD?[I]
 32.012  MATH         MEM = MEM / 1E-9
 32.013  MEMCX        0.0nT          +20.5U

 33.001  HEAD         -2 4 µs/div, 240 kHz, 500 mV/div
 33.002  TSET         TDESC = 500 mV/div
 33.003  VISA         CH[V @Chan]:SCA 500E-3
 33.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 33.005  JMPL         END_DELTA_TIME               @Abort
 33.006  9500         4166.7nT                     4Vpp           LS    S  L
 33.007  WAIT         [D2000]
 33.008  TARGET       -m
 33.009  VISA         MEASU:STATI RESET
 33.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 33.011  VISA         MEASU:MEAS1:STD?[I]
 33.012  MATH         MEM = MEM / 1E-9
 33.013  MEMCX        0.0nT          +20.3U

 34.001  HEAD         -2 4 µs/div, 240 kHz, 1 V/div
 34.002  TSET         TDESC = 1 V/div
 34.003  VISA         CH[V @Chan]:SCA 1
 34.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 34.005  JMPL         END_DELTA_TIME               @Abort
 34.006  9500         4166.7nT                     4Vpp           LS    S  L
 34.007  WAIT         [D2000]
 34.008  TARGET       -m
 34.009  VISA         MEASU:STATI RESET
 34.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 34.011  VISA         MEASU:MEAS1:STD?[I]
 34.012  MATH         MEM = MEM / 1E-9
 34.013  MEMCX        0.0nT          +40.1U

 35.001  RSLT         =
 35.002  HEAD         -2 {40 µs/div, 24 kHz}, 1 mV/div
 35.003  TARGET
 35.004  TSET         TDESC = 1 mV/div
 35.005  VISA         HOR:SCA 40E-6;:CH[V @Chan]:SCA 1E-3
 35.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 35.007  JMPL         END_DELTA_TIME               @Abort
# 1 / 24 kHz = 41666.66... ns
 35.008  9500         41667nT                      8mVpp          LS    S  L
 35.009  WAIT         [D2000]
 35.010  TARGET       -m
 35.011  VISA         MEASU:STATI RESET
 35.012  WAIT         -t 10 The DUT is acquiring samples, please wait...
 35.013  VISA         MEASU:MEAS1:STD?[I]
 35.014  MATH         MEM = MEM / 1E-9
 35.015  MEMCX        0nT            +450U

 36.001  HEAD         -2 40 µs/div, 24 kHz, 5 mV/div
 36.002  TSET         TDESC = 5 mV/div
 36.003  VISA         CH[V @Chan]:SCA 5E-3
 36.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 36.005  JMPL         END_DELTA_TIME               @Abort
 36.006  9500         41667nT                      40mVpp         LS    S  L
 36.007  WAIT         [D2000]
 36.008  TARGET       -m
 36.009  VISA         MEASU:STATI RESET
 36.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 36.011  VISA         MEASU:MEAS1:STD?[I]
 36.012  MATH         MEM = MEM / 1E-9
 36.013  MEMCX        0nT            +252U

 37.001  HEAD         -2 40 µs/div, 24 kHz, 100 mV/div
 37.002  TSET         TDESC = 100 mV/div
 37.003  VISA         CH[V @Chan]:SCA 100E-3
 37.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 37.005  JMPL         END_DELTA_TIME               @Abort
 37.006  9500         41667nT                      800mVpp        LS    S  L
 37.007  WAIT         [D2000]
 37.008  TARGET       -m
 37.009  VISA         MEASU:STATI RESET
 37.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 37.011  VISA         MEASU:MEAS1:STD?[I]
 37.012  MATH         MEM = MEM / 1E-9
 37.013  MEMCX        0nT            +205U

 38.001  HEAD         -2 40 µs/div, 24 kHz, 500 mV/div
 38.002  TSET         TDESC = 500 mV/div
 38.003  VISA         CH[V @Chan]:SCA 500E-3
 38.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 38.005  JMPL         END_DELTA_TIME               @Abort
 38.006  9500         41667nT                      4Vpp           LS    S  L
 38.007  WAIT         [D2000]
 38.008  TARGET       -m
 38.009  VISA         MEASU:STATI RESET
 38.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 38.011  VISA         MEASU:MEAS1:STD?[I]
 38.012  MATH         MEM = MEM / 1E-9
 38.013  MEMCX        0nT            +203U

 39.001  HEAD         -2 40 µs/div, 24 kHz, 1 V/div
 39.002  TSET         TDESC = 1 V/div
 39.003  VISA         CH[V @Chan]:SCA 1
 39.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 39.005  JMPL         END_DELTA_TIME               @Abort
 39.006  9500         41667nT                      4Vpp           LS    S  L
 39.007  WAIT         [D2000]
 39.008  TARGET       -m
 39.009  VISA         MEASU:STATI RESET
 39.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 39.011  VISA         MEASU:MEAS1:STD?[I]
 39.012  MATH         MEM = MEM / 1E-9
 39.013  MEMCX        0nT            +401U

 40.001  RSLT         =
 40.002  HEAD         -2 {400 µs/div, 2.4 kHz}, 1 mV/div
 40.003  TARGET
 40.004  TSET         TDESC = 1 mV/div
 40.005  VISA         HOR:SCA 400E-6;:CH[V @Chan]:SCA 1E-3
 40.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 40.007  JMPL         END_DELTA_TIME               @Abort
# 1 / 2.4 kHz = 416.6666... µs
 40.008  9500         416.67uT                     8mVpp          LS    S  L
 40.009  WAIT         [D2000]
 40.010  TARGET       -m
 40.011  VISA         MEASU:STATI RESET
 40.012  WAIT         -t 10 The DUT is acquiring samples, please wait...
 40.013  VISA         MEASU:MEAS1:STD?[I]
 40.014  MATH         MEM = MEM / 1E-6
 40.015  MEMCX        0.00uT         +4.50U

 41.001  HEAD         -2 400 µs/div, 2.4 kHz, 5 mV/div
 41.002  TSET         TDESC = 5 mV/div
 41.003  VISA         CH[V @Chan]:SCA 5E-3
 41.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 41.005  JMPL         END_DELTA_TIME               @Abort
 41.006  9500         416.67uT                     40mVpp         LS    S  L
 41.007  WAIT         [D2000]
 41.008  TARGET       -m
 41.009  VISA         MEASU:STATI RESET
 41.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 41.011  VISA         MEASU:MEAS1:STD?[I]
 41.012  MATH         MEM = MEM / 1E-6
 41.013  MEMCX        0.00uT         +2.52U

 42.001  HEAD         -2 400 µs/div, 2.4 kHz, 100 mV/div
 42.002  TSET         TDESC = 100 mV/div
 42.003  VISA         CH[V @Chan]:SCA 100E-3
 42.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 42.005  JMPL         END_DELTA_TIME               @Abort
 42.006  9500         416.67uT                     800mVpp        LS    S  L
 42.007  WAIT         [D2000]
 42.008  TARGET       -m
 42.009  VISA         MEASU:STATI RESET
 42.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 42.011  VISA         MEASU:MEAS1:STD?[I]
 42.012  MATH         MEM = MEM / 1E-6
 42.013  MEMCX        0.00uT         +2.05U

 43.001  HEAD         -2 400 µs/div, 2.4 kHz, 500 mV/div
 43.002  TSET         TDESC = 500 mV/div
 43.003  VISA         CH[V @Chan]:SCA 500E-3
 43.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 43.005  JMPL         END_DELTA_TIME               @Abort
 43.006  9500         416.67uT                     4Vpp           LS    S  L
 43.007  WAIT         [D2000]
 43.008  TARGET       -m
 43.009  VISA         MEASU:STATI RESET
 43.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 43.011  VISA         MEASU:MEAS1:STD?[I]
 43.012  MATH         MEM = MEM / 1E-6
 43.013  MEMCX        0.00uT         +2.03U

 44.001  HEAD         -2 400 µs/div, 2.4 kHz, 1 V/div
 44.002  TSET         TDESC = 1 V/div
 44.003  VISA         CH[V @Chan]:SCA 1
 44.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 44.005  JMPL         END_DELTA_TIME               @Abort
 44.006  9500         416.67uT                     4Vpp           LS    S  L
 44.007  WAIT         [D2000]
 44.008  TARGET       -m
 44.009  VISA         MEASU:STATI RESET
 44.010  WAIT         -t 10 The DUT is acquiring samples, please wait...
 44.011  VISA         MEASU:MEAS1:STD?[I]
 44.012  MATH         MEM = MEM / 1E-6
 44.013  MEMCX        0.00uT         +4.01U

 45.001  LABEL        END_DELTA_TIME
 45.002  HEAD         -2
 45.003  9500         *                                                 S
 45.004  HEAD
 45.005  END
