﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO410XB (1 yr) Time Domain VER VISA /9500+1Hd
DATE:                  2018-03-16 07:09:52
AUTHOR:                Fluke
REVISION:              $Revision: 22793 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       192
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models covered:
#        DPO4102B, DPO4102B-L, DPO4104B, DPO4104B-L
#        MSO4102B, MSO4102B-L, MSO4104B, MSO4104B-L
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        50 Ohm feed through teminator (4 ea)
#
#  The procedure was tested using:
#        None
#
#  Average run time during testing: 40 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.001  CALL         Sub High Voltage Safety Warning

  1.046  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.047  JMPL         END                          @Abort

  1.002  MATH         @MultiHead = 0
  1.003  JMPL         RANDOM_NOISE

  1.004  LABEL        INPUT_IMPEDANCE_CH1
  1.005  MATH         @Chan = 1
  1.006  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.007  JMPL         DCV_GAIN_CH1_50OHM

  1.008  LABEL        INPUT_IMPEDANCE_CH2
  1.009  MATH         @Chan = 2
  1.010  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.011  JMPL         DCV_GAIN_CH2_50OHM

  1.012  LABEL        INPUT_IMPEDANCE_CH3
  1.013  MATH         @Chan = 3
  1.014  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.015  JMPL         DCV_GAIN_CH3_50OHM

  1.016  LABEL        INPUT_IMPEDANCE_CH4
  1.017  MATH         @Chan = 4
  1.018  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.019  JMPL         DCV_GAIN_CH4_50OHM

  1.020  LABEL        DC_BALANCE
  1.021  MATH         @Chan = 1
  1.022  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.023  MATH         @Chan = 2
  1.024  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA

  1.025  IF           @NumChan > 2
  1.026  MATH         @Chan = 3
  1.027  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.028  MATH         @Chan = 4
  1.029  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.030  ENDIF

  1.031  JMPL         SAMPLE_RATE

  1.032  LABEL        DCV_GAIN_CH1_50OHM
  1.033  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500
  1.034  JMPL         DCV_GAIN_CH1_1MOHM

  1.035  LABEL        DCV_GAIN_CH2_50OHM
  1.036  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500
  1.037  JMPL         DCV_GAIN_CH2_1MOHM

  1.038  LABEL        DCV_GAIN_CH3_50OHM
  1.039  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500
  1.040  JMPL         DCV_GAIN_CH3_1MOHM

  1.041  LABEL        DCV_GAIN_CH4_50OHM
  1.042  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500
  1.043  JMPL         DCV_GAIN_CH4_1MOHM

  1.044  LABEL        DCV_GAIN_CH1_1MOHM
  1.045  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.046  JMPL         DC_OFFSET_CH1

  1.047  LABEL        DCV_GAIN_CH2_1MOHM
  1.048  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.049  JMPL         DC_OFFSET_CH2

  1.050  LABEL        DCV_GAIN_CH3_1MOHM
  1.051  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.052  JMPL         DC_OFFSET_CH3

  1.053  LABEL        DCV_GAIN_CH4_1MOHM
  1.054  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.055  JMPL         DC_OFFSET_CH4

  1.056  LABEL        DC_OFFSET_CH1
  1.057  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.058  JMPL         BANDWIDTH_CH1

  1.059  LABEL        DC_OFFSET_CH2
  1.060  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.061  JMPL         BANDWIDTH_CH2

  1.062  LABEL        DC_OFFSET_CH3
  1.063  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.064  JMPL         BANDWIDTH_CH3

  1.065  LABEL        DC_OFFSET_CH4
  1.066  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.067  JMPL         BANDWIDTH_CH4

  1.068  LABEL        SAMPLE_RATE
  1.069  MATH         @Chan = 1
  1.070  M9500                       CH1
  1.071  CALL         Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /9500
  1.072  JMPL         INPUT_IMPEDANCE_CH1

  1.073  LABEL        BANDWIDTH_CH1
  1.074  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm BW VER VISA /9500+G1
  1.075  CALL         Sub Tek DPO4104B (1 yr) 1 MOhm BW VER VISA /9500+G1
  1.076  JMPL         DELTA_TIME_CH1

  1.077  LABEL        BANDWIDTH_CH2
  1.078  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm BW VER VISA /9500+G1
  1.079  CALL         Sub Tek DPO4104B (1 yr) 1 MOhm BW VER VISA /9500+G1
  1.080  JMPL         DELTA_TIME_CH2

  1.081  LABEL        BANDWIDTH_CH3
  1.082  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm BW VER VISA /9500+G1
  1.083  CALL         Sub Tek DPO4104B (1 yr) 1 MOhm BW VER VISA /9500+G1
  1.084  JMPL         DELTA_TIME_CH3

  1.085  LABEL        BANDWIDTH_CH4
  1.086  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm BW VER VISA /9500+G1
  1.087  CALL         Sub Tek DPO4104B (1 yr) 1 MOhm BW VER VISA /9500+G1
  1.088  JMPL         DELTA_TIME_CH4

  1.089  LABEL        RANDOM_NOISE
  1.090  MATH         @Chan = 1
  1.091  CALL         Sub Tek DPO4104B (1 yr) Random Noise VER VISA
  1.092  MATH         @Chan = 2
  1.093  CALL         Sub Tek DPO4104B (1 yr) Random Noise VER VISA

  1.094  IF           @NumChan > 2
  1.095  MATH         @Chan = 3
  1.096  CALL         Sub Tek DPO4104B (1 yr) Random Noise VER VISA
  1.097  MATH         @Chan = 4
  1.098  CALL         Sub Tek DPO4104B (1 yr) Random Noise VER VISA
  1.099  ENDIF

  1.100  JMPL         DC_BALANCE

  1.101  LABEL        DELTA_TIME_CH1
  1.102  CALL         Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500
  1.103  JMPL         INPUT_IMPEDANCE_CH2

  1.104  LABEL        DELTA_TIME_CH2
  1.105  CALL         Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500
  1.106  JMPL         TRIGGER_OUTPUT               (@NumChan == 2)
  1.107  JMPL         INPUT_IMPEDANCE_CH3

  1.108  LABEL        DELTA_TIME_CH3
  1.109  CALL         Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500
  1.110  JMPL         INPUT_IMPEDANCE_CH4

  1.111  LABEL        DELTA_TIME_CH4
  1.112  CALL         Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500

  1.113  LABEL        TRIGGER_OUTPUT
  1.114  MATH         @Chan = 1
  1.115  CALL         Sub Tek DPO4000B (1 yr) Trigger Output VISA

  1.116  LABEL        END
